Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class GroupEntity

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.ModelEntity
          com.tibco.bpm.web.client.model.types.org.GroupEntity

    public class GroupEntity

extends ModelEntity

Constructor Summary
`GroupEntity()`

Method Summary
`SelectionMode` | `getAllocationMethod()`
`java.lang.String` | `getCalendarAlias()`
`CandidateQuery` | `getCandidateQuery()`
`java.lang.String` | `getCandidateQueryPresent()`
`java.util.List<GroupEntity>` | `getGroupArray()`
`java.util.List<EntityAssignmentQualified>` | `getPrivilegeHolding()`
`java.util.List<PushDestination>` | `getPushDestArray()`
`java.util.List<EntityAssignmentQualified>` | `getReqCapability()`
`java.lang.String` | `getResourceCount()`
`boolean` | `isCandidateQueryPresent()`
`void` | `setAllocationMethod(SelectionMode allocationMethod)`
`void` | `setCalendarAlias(java.lang.String calendarAlias)`
`void` | `setCandidateQuery(CandidateQuery candidateQuery)`
`void` | `setCandidateQueryPresent(java.lang.String candidateQueryPresent)`
`void` | `setGroupArray(java.util.List<GroupEntity> groupArray)`
`void` | `setPrivilegeHolding(java.util.List<EntityAssignmentQualified> privilegeHolding)`
`void` | `setPushDestArray(java.util.List<PushDestination> pushDestArray)`
`void` | `setReqCapability(java.util.List<EntityAssignmentQualified> reqCapability)`
`void` | `setResourceCount(java.lang.String resourceCount)`
`java.lang.String` | `toString()`

Methods inherited from class com.tibco.bpm.web.client.model.types.org.ModelEntity
`getGuid, getLabel, getName, setGuid, setLabel, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupEntity

    public GroupEntity()

Method Detail

### getResourceCount

    public java.lang.String getResourceCount()

### setResourceCount

    public void setResourceCount(java.lang.String resourceCount)

### getCalendarAlias

    public java.lang.String getCalendarAlias()

### setCalendarAlias

    public void setCalendarAlias(java.lang.String calendarAlias)

### getAllocationMethod

    public SelectionMode getAllocationMethod()

### setAllocationMethod

    public void setAllocationMethod(SelectionMode allocationMethod)

### getGroupArray

    public java.util.List<GroupEntity> getGroupArray()

### setGroupArray

    public void setGroupArray(java.util.List<GroupEntity> groupArray)

### getReqCapability

    public java.util.List<EntityAssignmentQualified> getReqCapability()

### setReqCapability

    public void setReqCapability(java.util.List<EntityAssignmentQualified> reqCapability)

### getPrivilegeHolding

    public java.util.List<EntityAssignmentQualified> getPrivilegeHolding()

### setPrivilegeHolding

    public void setPrivilegeHolding(java.util.List<EntityAssignmentQualified> privilegeHolding)

### getCandidateQuery

    public CandidateQuery getCandidateQuery()

### setCandidateQuery

    public void setCandidateQuery(CandidateQuery candidateQuery)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ModelEntity`

### getPushDestArray

    public java.util.List<PushDestination> getPushDestArray()

### setPushDestArray

    public void setPushDestArray(java.util.List<PushDestination> pushDestArray)

### getCandidateQueryPresent

    public java.lang.String getCandidateQueryPresent()

### setCandidateQueryPresent

    public void setCandidateQueryPresent(java.lang.String candidateQueryPresent)

### isCandidateQueryPresent

    public boolean isCandidateQueryPresent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.